<?php
/**
 * Link         :   http://www.phpcorner.net
 * User         :   qingbing<780042175@qq.com>
 * Date         :   2018-11-27
 * Version      :   1.0
 */
require("../vendor/autoload.php");

// 定义环境变量
defined("PHP_ENV") or define("PHP_ENV", "dev");
// 定义配置存放目录
defined("CONFIG_PATH") or define("CONFIG_PATH", dirname(realpath(".")) . "/conf");
// 定义配置缓存的存放目录
defined("RUNTIME_PATH") or define("RUNTIME_PATH", dirname(realpath(".")) . "/runtime");

// 用数组直接指定属性
$component = \TestClass\DemoComponent::getInstance([
    'name' => 'special name',
    'version' => '1.0.0',
]);
var_dump($component);

// 直接指定文件名，不分组
$component = \TestClass\DemoComponent::getInstance('demo1');
var_dump($component);

// 用数组的"c-file"指定文件名，不分组
$component = \TestClass\DemoComponent::getInstance([
    'c-file' => 'demo2'
]);
var_dump($component);

// 用数组的"c-file"指定文件名，"c-group"指定分组名
$component = \TestClass\DemoComponent::getInstance([
    'c-file' => 'demo3',
    'c-group' => 'application',
]);
var_dump($component);